org.eclipse.jetty.client.security

## Interface Realm

-     public interface Realm

  Simple security realm interface.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCredentials()`
    `String` | `getId()`
    `String` | `getPrincipal()`

- - ### Method Detail

    - #### getId

          String getId()

    - #### getPrincipal

          String getPrincipal()

    - #### getCredentials

          String getCredentials()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.